//
// This is the base class for all the pieces of the Pixel detector.
//
//
#ifndef GEOVPIXELFACTORY_H
#define GEOVPIXELFACTORY_H

#include "GeoModelKernel/GeoFullPhysVol.h"
#include "GeoModelKernel/GeoLogVol.h"
#include "PixelGeoModel/PixelGeometryManager.h"
#include "GeoModelSvc/StoredMaterialManager.h"

// fwd declaration
namespace InDetDD {class PixelDetectorManager;}

class GeoVPixelFactory {
 public:
  GeoVPixelFactory();
  virtual ~GeoVPixelFactory();
  virtual GeoVPhysVol* Build( )=0;
  static void SetDDMgr(InDetDD::PixelDetectorManager* mgr);
 protected:
  PixelGeometryManager* gmt_mgr;
  StoredMaterialManager* mat_mgr;
  static InDetDD::PixelDetectorManager* DDmgr;
  const double m_epsilon;

 private:
};


#endif
