# Initializes the whole detector description.
# If a particular geometry version is required then
# either set version directly. Eventually for reconstruction
# version will be automitically detected from Pool file.

#
#include (AtlasGeoModel/GeoModelInit)
GeoModelSvc = Service("GeoModelSvc")
GeoModelSvc.AtlasVersion = "ATLAS-DC3-02"
#
# or set DetDescrVersion and include "AtlasGeoModel/SetGeometryVersion.py"
#
# DetDescrVersion = "DC3"
# include ("AtlasGeoModel/SetGeometryVersion.py")
# include ("AtlasGeoModel/GeoModelInit")
#

# Protect against double includes
include.block("AtlasGeoModel/GeoModelInit.py");

#
GeoModelSvc.InDetVersionOverride = "InnerDetector-Rome-Destaged-01"
#  GeoModelSvc.PixelVersionOverride = "Pixel-DC3-00"

# We farm out depending on GlobalFlags.

DetDescrCnvSvc = Service( "DetDescrCnvSvc" )
DetDescrCnvSvc.IdDictFromRDB = False

# TagInfo related include
include( "EventInfoMgt/EventInfoMgt_jobOptions.py" )

if not "GlobalFlags" in dir():
    include ("AtlasGeoModel/GeoModelInitStandard.py") 

elif GlobalFlags.DetGeo.is_ctb():
    include( "AtlasGeoModel/GeoModelInitCTB.py" )

elif GlobalFlags.DataSource.is_geant3():
    include( "AtlasGeoModel/GeoModelInitDC1.py" )

else:
    include ("AtlasGeoModel/GeoModelInitStandard.py") 


include("GeoModelGraphics.py")
