#==============================================================
#
# Job options file for Geant4 Simulations
#
# Atlas simulation 
#
#==============================================================

#--- Detector flags -------------------------------------------
from AthenaCommon.DetFlags import DetFlags
# - Select detectors 
DetFlags.ID_setOn()
DetFlags.Calo_setOn()
DetFlags.Muon_setOn()
#
DetFlags.simulate.Truth_setOn()

#--- Simulation flags -----------------------------------------
from G4AtlasApps.SimFlags import SimFlags
SimFlags.import_Flags('atlas_flags')

#for interactive mode
#SimFlags.init_Level.set_Value(1)

SimFlags.SimLayout.set_Value('ATLAS-DC3-02')
SimFlags.PersistencyHit.set_Value('atlas_MyOutputFile.root')

# - uses single particle generator
SimFlags.KinematicsMode.set_Value('SingleParticle')
SimFlags.ParticlePDG.set_Value('11')
#  SimFlags.ParticleGeneratorOrders=["vertX: constant 56.39", "vertY: constant 0", "vertZ: constant 1839.85"]
# set energy constant to 10 GeV
SimFlags.Energy.set_Value(10000) 
# sets the EtaPhi, VertexSpread and VertexRange checks on
SimFlags.EventFilter.set_On()

# set your own particle generator orders here.
# do this for example if you need generation at fixed pt
# PDG code will be set following user instructions in the SimFlags.ParticlePDG
# SimFlags.Energy will be ingored if you uncomment the following lines

#SimFlags.ParticleGeneratorOrders.Value={'vertX:' : ' constant 1.0','vertY:' :' constant 1.0',
#          'vertZ:' : ' constant 0.0','t:' :' constant 0.0',
#          'eta:' : ' flat -3.0 3.0', 'phi:' : ' flat  0 6.28318',
#          'pt:' : ' constant 50000'}

# - reads events already generated
#SimFlags.KinematicsMode.set_Value('ReadGeneratedEvents')
#SimFlags.EvgenInput.set_Value("rfio:/castor/cern.ch/atlas/project/dc2/preprod/evgen805/dc2.002930.mu_pt30_eta320.evgen805/data/dc2.002930.mu_pt30_eta320.evgen805._0001.pool.root")



# - uses a given generator 
#SimFlags.KinematicsMode.set_Value('EventGenerator')
#SimFlags.GeneratorPath.set_Value('G4AtlasApps/Z-mumuOptions.py')
#SimFlags.GeneratorPath.set_Value('GeneratorOptionsRome/rome.004201.JimmyZee.py')

# No magnetic field 
#SimFlags.MagneticField.set_Value(False)

#--- Event related parameters ---------------------------------
# Number of events to be processed (default is 10)
theApp.EvtMax = 1

#---  Output printout level ----------------------------------- 
#output threshold (2=DEBUG, 3=INFO, 4=WARNING, 5=ERROR, 6=FATAL)
#you can override this for individual modules if necessary
MessageSvc = Service( "MessageSvc" )
MessageSvc.OutputLevel = 4


#==============================================================
# Job configuration
# ***>> Do not add flags or simulation options below this line
#==============================================================
include("G4AtlasApps/G4Atlas_Sim.py")

# enter interactive mode 
theApp.initialize()


from G4AtlasApps import PyG4Atlas

MyAction= PyG4Atlas.UserAction( 'G4UserActions','TestAction1',['BeginOfEvent','EndOfEvent','BeginOfRun','EndOfRun','Step'])

AtlasG4Eng.G4Eng.menu_UserActions.add_UserAction(MyAction)

AtlasG4Eng.G4Eng.init_Simulation(3)





#G4Command=AtlasG4Eng.G4Eng.gbl.G4Commands()
#G4Command.tracking.verbose(1)

# start run after the interactive mode 
theApp.nextEvent( theApp.EvtMax )


#G4Svc.InteractiveG4 = TRUE;  
#G4Svc.Visualize = TRUE;


#--- End jobOptions.G4Atlas_Sim.py file  ------------------------------
