#include "PixelGeoModel/GeoPixelECCable.h"
#include "GeoModelKernel/GeoTube.h"
#include "GeoModelKernel/GeoLogVol.h"
#include "GeoModelKernel/GeoNameTag.h"
#include "GeoModelKernel/GeoPhysVol.h"
#include "GeoModelKernel/GeoMaterial.h"

GeoPixelECCable::GeoPixelECCable() {
  //
  // Define the log volume in the constructor, so I do it only once.
  //

  //   
  // Dimensions 
  //
  double rmin = gmt_mgr->PixelECCablesRMin();
  double rmax = gmt_mgr->PixelECCablesRMax();
  double thickness = gmt_mgr->PixelECCablesThickness();
  GeoMaterial* cableMat = mat_mgr->getMaterial("pix::ECCables");
  const GeoTube* cableTube = new GeoTube(rmin,rmax,thickness/2.);
  theECCable = new GeoLogVol("ECCableLog",cableTube,cableMat);
}

GeoVPhysVol* GeoPixelECCable::Build( ) {
  GeoPhysVol* cablePhys = new GeoPhysVol(theECCable);
  return cablePhys;
}

