/****************************************************************
   Pixel Sensitive Detector class								 
   Davide Costanzo Sep 4th 2002.




 ****************************************************************/

#ifndef PIXELSENSORSD_H
#define PIXELSENSORSD_H

// Base class
#include "FadsSensitiveDetector/FadsSensitiveDetector.hh"

// G4 needed classes
class G4Step;
class G4HCofThisEvent;

// StoreGate pointers FIXME... remove this
class IMessageSvc;
class StoreGateSvc;
#include "SimHelpers/AthenaHitsCollectionHelper.h"

// use of the hits
#include "InDetSimEvent/SiHitCollection.h"


//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....

class PixelSensorSD : public FadsSensitiveDetector
{
 public:
  PixelSensorSD(G4String);
  ~PixelSensorSD();
  void Initialize(G4HCofThisEvent*);
  G4bool ProcessHits(G4Step*, G4TouchableHistory*);
  void EndOfEvent(G4HCofThisEvent*);
 private:
  //
  // StoreGate and MsgSvc pointers.
  //
  IMessageSvc*         m_msgSvc;
  StoreGateSvc*        m_sgSvc;
  AthenaHitsCollectionHelper m_hitCollHelp;
  //
  // The hits collection
  SiHitCollection *myHitColl;
  bool m_isGeoModel;
};

#endif




